Skip to main content
POST
/
partners
/
withdrawal
Initiate Bank Withdrawal
curl --request POST \
  --url https://dev-api.hyperail.io/api/v1/partners/withdrawal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "9b5d9f75-38cf-474e-bdfc-63544893634a",
  "accountName": "John Doe",
  "accountNumber": "8083233781",
  "amount": 100,
  "bankCode": "SPB-17646",
  "authCode": "631970",
  "narration": ".."
}
'
{
  "amount": 100,
  "currency": "NGN",
  "destination": {
    "accountNumber": "8083233781",
    "accountName": "John Doe",
    "bankCode": "SPB-17646"
  },
  "providerStatus": "PROCESSING",
  "reference": "TRF-a633516c526a40c4b2ebc6e3c249c5f5",
  "status": "PROCESSING"
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token

Body

application/json
accountId
string<uuid>
required
Example:

"9b5d9f75-38cf-474e-bdfc-63544893634a"

accountName
string
required
Example:

"John Doe"

accountNumber
string
required
Example:

"8083233781"

amount
number
required
Example:

100

bankCode
string
required
Example:

"SPB-17646"

authCode
string

Two-factor authentication code or approval token.

Example:

"631970"

narration
string
Example:

".."

Response

Withdrawal initiated successfully

amount
number<double>
Example:

100

currency
string
Example:

"NGN"

destination
object
providerStatus
string

Status of the transaction with the upstream provider.

Example:

"PROCESSING"

reference
string

Unique transaction reference.

Example:

"TRF-a633516c526a40c4b2ebc6e3c249c5f5"

status
string

Internal processing status.

Example:

"PROCESSING"